unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    OpenDialog1: TOpenDialog;
    Button1: TButton;
    Label1: TLabel;
    Button2: TButton;
    Button3: TButton;
    Label2: TLabel;
    Button4: TButton;
    Button5: TButton;
    Label3: TLabel;
    Button6: TButton;
    Label4: TLabel;
    Button7: TButton;
    Label5: TLabel;
    Button8: TButton;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Edit1: TEdit;
    Button9: TButton;
    Button10: TButton;
    Label9: TLabel;
    procedure HelpClick(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.HelpClick(Sender: TObject);
begin
     ShowMessage('Use File->Open to open a file. It will be shown in hexadecimal in the window and copied to clipboard. To upload a file to the module, paste the text to your terminal software when the module asks you to send hex.');
end;

var n:integer;ns:string;
procedure memoput(b:byte);
begin
     ns := ns+inttohex(b,2);
     inc(n);
     if (n>39) then begin
        form1.memo1.lines.add(ns);
        ns := '';
        n := 0;
     end;
end;

procedure TForm1.Open1Click(Sender: TObject);
var ch:char; s:string; b:byte; i:integer; f:file of byte;
begin
     n := 0;ns:='';
     if OpenDialog1.Execute then begin
        Memo1.Visible := False;
        Memo1.Lines.Clear;
        assignfile(f,OpenDialog1.Filename);
        reset(f);
        repeat
              read(f,b);
              memoput(b);
        until eof(f);
        closefile(f);
        ns := ns+'.';
        Memo1.Visible := True;
        memo1.lines.add(ns);
     end;
     Application.ProcessMessages();
     Memo1.SelectAll;
     Memo1.CopyToClipboard;
end;

procedure TForm1.Button1Click(Sender: TObject);
var ch:char; s:string; b:byte; i:integer; f:file of byte;
begin
     n := 0;ns:='';
     if OpenDialog1.Execute then begin
        Label8.Visible := True;
        Label8.Repaint;
        Application.ProcessMessages;
        Memo1.Lines.Clear;
        assignfile(f,OpenDialog1.Filename);
        reset(f);
        Edit1.Text := 'U'+ExtractFileName(OpenDialog1.Filename)+'<';
        repeat
              read(f,b);
              memoput(b);
        until eof(f);
        closefile(f);
        ns := ns+'.H';
        memo1.lines.add(ns);

     end;
     Label1.Visible := True;
     Button2.Visible := True;
     Button9.Visible := True;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
     Memo1.Visible := True;
     Label6.Visible := True;
     Label7.Visible := True;
     Label9.Visible := True;
     Edit1.Visible := True;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
     Edit1.SelectAll;
     Edit1.CopyToClipboard;
     Label2.Visible := True;
     Label2.Repaint;
     Sleep(1500);
     Button4.Visible := True;
     Button10.Visible := True;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
     Button3.Visible := True;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
     Button5.Visible := True;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
     Memo1.SelectAll;
     Memo1.CopyToClipboard;
     Label3.Visible := True;
     Label3.Repaint;
     Sleep(1500);
     Button6.Visible := True;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
     Label4.Visible := True;
     Label4.Repaint;
     Sleep(500);
     Button7.Visible := True;
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
     Label5.Visible := True;
     Button8.Visible := True;
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
     ShowMessage('Select the correct COM port, power up the module, hit [Enter] a few times, you should see some "#" marks.');
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
     ShowMessage('Probably some other command is in progress. Try to reboot the module and try again, or contact support@vlsi.fi.');
end;

end.
