

/// Size of one eraseblock in blocks (8 means 4K)
/// Note: if you change this, also change the EeErase4K function and/or see all code that uses it in sbfs.c.
#define ERASEBLOCK_SIZE 8

/// First block to use for file storage. This MUST be divisible by ERASEBLOCK_SIZE
#define FIRST_BLOCK 32

/// Last block to use for file storage (Note: this defines the size of the flash IC) (4095 means 2 megabytes)
#define LAST_BLOCK 4095

